import { FieldDataBindingMeta } from '../../../../../../domain/field/field-binding';
type DateFormatTemplate = {
    value: string;
    /** 支持的字段类型集合 */
    supportFieldTypes: string[];
};
/** 日期格式分隔符 */
export declare const DateFormatSeparators: string[];
/** 日期格式模版集合 */
export declare const DateFormatTemplates: DateFormatTemplate[];
/** 计算获得最终的format */
export declare function calcFinalFormat(template: string, separator: string): string;
export declare function useDateFormatEditor(props: {
    fieldData: FieldDataBindingMeta;
    /** 是否启用自定义日期格式 */
    enableCustomFormat: boolean;
    /** 日期格式分割符 */
    formatSeparator: string;
    /** 日期格式模板 */
    formatTemplate: string;
    /** 自定义日期格式 */
    customFormat: string;
}, emit: (event: 'update:enableCustomFormat' | 'update:formatSeparator' | 'update:formatTemplate' | 'update:customFormat', ...args: any[]) => void): {
    separatorValue: import('vue').WritableComputedRef<string, string>;
    templateValue: import('vue').WritableComputedRef<string, string>;
    separatorOptions: {
        label: string;
        value: string;
    }[];
    templateOptions: import('vue').ComputedRef<{
        label: string;
        value: string;
    }[]>;
    customFormatChecked: import('vue').WritableComputedRef<boolean, boolean>;
    customFormatValue: import('vue').WritableComputedRef<string, string>;
};
export {};
